<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
     xmlns:p="http://primefaces.org/ui"
	xmlns:h="http://java.sun.com/jsf/html">
	<head>
	</head>
	<body>
		<h:form class="form-control"  >
	   <h3 style="margin-top:0">Q 1 - Objects are stored on Stack.</h3>
    <h:panelGrid columns="2" style="margin-bottom:10px" cellpadding="5">
        <p:outputLabel for="Quest1" value="Answer:" />
        <p:selectOneRadio id="Quest1" value="#{jobRequestBean.q1}">
            <f:selectItem itemLabel="True" itemValue="true"  />
            <f:selectItem itemLabel="False" itemValue="Q12" />
        </p:selectOneRadio>
    </h:panelGrid>
  
    	   <h3 style="margin-top:0">Q 2 - Is an empty java file a valid source file?.</h3>
    <h:panelGrid columns="2" style="margin-bottom:10px" cellpadding="5">
        <p:outputLabel for="Quest2" value="Answer:" />
        <p:selectOneRadio id="Quest2" value="#{jobRequestBean.q2}">
            <f:selectItem itemLabel="True" itemValue="true" />
            <f:selectItem itemLabel="False" itemValue="Q22" />
        </p:selectOneRadio>
    </h:panelGrid>
        	   <h3 style="margin-top:0">Q 3 - What is the default value of short variable?</h3>
    <h:panelGrid columns="2" style="margin-bottom:10px" cellpadding="5">
        <p:outputLabel for="Quest3" value="Answer:" />
        <p:selectOneRadio id="Quest3" value="#{jobRequestBean.q3}">
            <f:selectItem itemLabel="0.0" itemValue="true" />
            <f:selectItem itemLabel="0" itemValue="Q32" />
            <f:selectItem itemLabel="null" itemValue="Q33" />
            <f:selectItem itemLabel="not defined" itemValue="Q34" />
        </p:selectOneRadio>
    </h:panelGrid>
            	   <h3 style="margin-top:0">Q4 - Dynamic binding uses which information for binding?</h3>
    <h:panelGrid columns="2" style="margin-bottom:10px" cellpadding="5">
        <p:outputLabel for="Quest4" value="Answer:" />
        <p:selectOneRadio id="Quest4" value="#{jobRequestBean.q4}">
            <f:selectItem itemLabel="Type" itemValue="Q41" />
            <f:selectItem itemLabel="Object" itemValue="true" />
            <f:selectItem itemLabel="Both" itemValue="Q43" />
            <f:selectItem itemLabel="No one defined" itemValue="Q44" />
        </p:selectOneRadio>
    </h:panelGrid>
                	   <h3 style="margin-top:0">Q 5 - Is it necessary that each try block must be followed by a catch block?s</h3>
    <h:panelGrid columns="2" style="margin-bottom:10px" cellpadding="5">
        <p:outputLabel for="Quest5" value="Answer:" />
        <p:selectOneRadio id="Quest5" value="#{jobRequestBean.q5}">
            <f:selectItem itemLabel="True" itemValue="true" />
            <f:selectItem itemLabel="false" itemValue="Q52" />

        </p:selectOneRadio>
        </h:panelGrid>
         <h3 style="margin-top:0">Q 6 - We can use reserved keywords as identifiers in C# by prefixing them with @ character?</h3>
    <h:panelGrid columns="2" style="margin-bottom:10px" cellpadding="5">
        <p:outputLabel for="Quest6" value="Answer:" />
        <p:selectOneRadio id="Quest6" value="#{jobRequestBean.q6}">
            <f:selectItem itemLabel="True" itemValue="true" />
            <f:selectItem itemLabel="False" itemValue="Q62" />
        </p:selectOneRadio>
    </h:panelGrid>
    	   <h3 style="margin-top:0">Q 7 - Is an empty java file a valid source file?.</h3>
    <h:panelGrid columns="2" style="margin-bottom:10px" cellpadding="5">
        <p:outputLabel for="Quest7" value="Answer:" />
        <p:selectOneRadio id="Quest7" value="#{jobRequestBean.q7}">
            <f:selectItem itemLabel="True" itemValue="true" />
            <f:selectItem itemLabel="False" itemValue="Q72" />
        </p:selectOneRadio>
    </h:panelGrid>
        	   <h3 style="margin-top:0">Q 8 - What is the default value of short variable?</h3>
    <h:panelGrid columns="2" style="margin-bottom:10px" cellpadding="5">
        <p:outputLabel for="Quest8" value="Answer:" />
        <p:selectOneRadio id="Quest8" value="#{jobRequestBean.q8}">
            <f:selectItem itemLabel="0.0" itemValue="Q81" />
            <f:selectItem itemLabel="0" itemValue="Q82" />
            <f:selectItem itemLabel="null" itemValue="Q83" />
            <f:selectItem itemLabel="not defined" itemValue="Qtrue" />
        </p:selectOneRadio>
    </h:panelGrid>
            	   <h3 style="margin-top:0">Q9 - Dynamic binding uses which information for binding?</h3>
    <h:panelGrid columns="2" style="margin-bottom:10px" cellpadding="5">
        <p:outputLabel for="Quest9" value="Answer:" />
        <p:selectOneRadio id="Quest9" value="#{jobRequestBean.q9}">
            <f:selectItem itemLabel="Type" itemValue="Q91" />
            <f:selectItem itemLabel="Object" itemValue="true" />
            <f:selectItem itemLabel="Both" itemValue="Q93" />
            <f:selectItem itemLabel="No one defined" itemValue="Q94" />
        </p:selectOneRadio>
    </h:panelGrid>
                	   <h3 style="margin-top:0">Q 9 - Is it necessary that each try block must be followed by a catch block?s</h3>
    <h:panelGrid columns="2" style="margin-bottom:10px" cellpadding="5">
        <p:outputLabel for="Quest10" value="Answer:" />
        <p:selectOneRadio id="Quest10" value="#{jobRequestBean.q10}">
            <f:selectItem itemLabel="True" itemValue="true" />
            <f:selectItem itemLabel="false" itemValue="Q102" />

        </p:selectOneRadio>
    </h:panelGrid>
    <div class="row">
						
						<div class="toolbar-btn-action">
    				<h:commandButton  value="Apply" class="btn btn-success"  action="#{jobRequestBean.doShowValues()}" ></h:commandButton>	
    </div></div>
	</h:form>
	</body>
	</html>